org.apache.commons.configuration2.builder

## Enum BuilderConfigurationWrapperFactory.EventSourceSupport

- java.lang.Object
- - java.lang.Enum<BuilderConfigurationWrapperFactory.EventSourceSupport>
  - - org.apache.commons.configuration2.builder.BuilderConfigurationWrapperFactory.EventSourceSupport

- All Implemented Interfaces:
    Serializable, Comparable<BuilderConfigurationWrapperFactory.EventSourceSupport>
  Enclosing class:
    BuilderConfigurationWrapperFactory

      public static enum BuilderConfigurationWrapperFactory.EventSourceSupport
      extends Enum<BuilderConfigurationWrapperFactory.EventSourceSupport>

  An enumeration class with different options for supporting the `EventSource` interface in generated `ImmutableConfiguration` proxies.

  Using literals of this class it is possible to specify that a `ImmutableConfiguration` object returned by `BuilderConfigurationWrapperFactory` also implements the `EventSource` interface and how this implementation should work. See the documentation of the single constants for more details.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUILDER` `EventSource` support is implemented by delegating to the associated `ConfigurationBuilder` object.
    `DUMMY` Dummy support of the `EventSource` interface.
    `NONE` No support of the `EventSource` interface.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BuilderConfigurationWrapperFactory.EventSourceSupport` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BuilderConfigurationWrapperFactory.EventSourceSupport[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final BuilderConfigurationWrapperFactory.EventSourceSupport NONE

      No support of the `EventSource` interface. If this option is set, `ImmutableConfiguration` objects generated by `BuilderConfigurationWrapperFactory` do not implement the `EventSource` interface.

    - #### DUMMY

          public static final BuilderConfigurationWrapperFactory.EventSourceSupport DUMMY

      Dummy support of the `EventSource` interface. This option causes `ImmutableConfiguration` objects generated by `BuilderConfigurationWrapperFactory` to implement the `EventSource` interface, however, this implementation consists only of empty dummy methods without real functionality.

    - #### BUILDER

          public static final BuilderConfigurationWrapperFactory.EventSourceSupport BUILDER

      `EventSource` support is implemented by delegating to the associated `ConfigurationBuilder` object. If this option is used, generated `ImmutableConfiguration` objects provide a fully functional implementation of `EventSource` by delegating to the builder. Because the `ConfigurationBuilder` interface extends `EventSource` this delegation is always possible.

  - ### Method Detail

    - #### values

          public static BuilderConfigurationWrapperFactory.EventSourceSupport[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BuilderConfigurationWrapperFactory.EventSourceSupport c : BuilderConfigurationWrapperFactory.EventSourceSupport.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BuilderConfigurationWrapperFactory.EventSourceSupport valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2016 The Apache Software Foundation. All rights reserved.